using NaughtyAttributes;
using UnityEngine;

public class SafeZone : MonoBehaviour {
	[field: SerializeField] [field: Required]
	public SafeZoneStats Stats { get; private set; }

	[SerializeField] CircleCollider2D moatCollider;

	public Vector3 GetOutsidePosition(Vector2 direction) {
		return transform.position + (moatCollider.radius + Stats.JumpOffset) * (Vector3)direction;
	}
}